<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Getting Started with JavaScript</title>
</head>
<body>
    
    <style>
    .main-container{
        width: 100%;
    }
    .calc-box{
        width: 50%;
        margin: auto;
        padding: 50px;
        box-shadow: 0 10px 20px -2px rgba(0,0,0,0.14);
    }
    </style>
    <div class="calc-box">
        <div class="heading-txt">StopWatch</div>
        <div class="timer">
            <span class="minutes">00</span> : <span class="seconds">00</span>
        </div>
        <div class="timer-button">
            <button class="" data-action="start">
            Start
            </button>
            <button class="" data-action="stop">
            Stop
            </button>
            <button class="" data-action="reset">
            Reset
            </button>
        </div>
    </div>
       
    <script>

        var startButton = document.querySelector('[data-action="start"]');
        var stopButton = document.querySelector('[data-action="stop"]');
        var resetButton = document.querySelector('[data-action="reset"]');
        var minutes     = document.querySelector('.minutes');
        var seconds     = document.querySelector('.seconds');
        var timerTime = 00;
        var isRunning = false;
        var interval;    

        function startTimer() {
        if (isRunning) return;
        isRunning = true;
        interval  = setInterval(incrementTimer, 1000);
        }

        function stopTimer() {
        if (!isRunning) return;
        isRunning = false;
        clearInterval(interval);
        }

        function resetTimer() {
        stopTimer();
        timerTime = 0;
        minutes.innerText = '00';
        seconds.innerText = '00';
        }

        function incrementTimer() {
        timerTime++;
        var numOfMinutes = Math.floor(timerTime / 60);
        var numOfSeconds = timerTime % 60;
        minutes.innerText = numOfMinutes;
        seconds.innerText = numOfSeconds;
        }


        startButton.addEventListener('click', startTimer);
        stopButton.addEventListener('click', stopTimer);
        resetButton.addEventListener('click', resetTimer);

   </script>
</body>
</html>